import request from '@/utils/request'

// 查询会员标签管理列表
export function listLabel(query) {
  return request({
    url: '/member/label/list',
    method: 'get',
    params: query
  })
}

// 查询会员标签管理详细
export function getLabel(id) {
  return request({
    url: '/member/label/' + id,
    method: 'get'
  })
}

// 新增会员标签管理
export function addLabel(data) {
  return request({
    url: '/member/label',
    method: 'post',
    data: data
  })
}

// 修改会员标签管理
export function updateLabel(data) {
  return request({
    url: '/member/label',
    method: 'put',
    data: data
  })
}

// 删除会员标签管理
export function delLabel(id) {
  return request({
    url: '/member/label/' + id,
    method: 'delete'
  })
}
